For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
Knowledge BaseProduct UpdatesAPI Documentation
Knowledge BaseProduct UpdatesAPI Documentation
    • Getting Started
  • API Reference
      • GETCheck if a risk assessment exists
      • POSTAdd risk assessment information
      • PUTUpdate risk assessment in batch
Contact Us
LogoLogo
API ReferenceRisk Assessment

Check if a risk assessment exists

GET
https://api.cable.tech/v2/risk_assessment
GET
/v2/risk_assessment
$curl -G https://api.cable.tech/v2/risk_assessment \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d assessment_id=a1b2c3d4-e5f6-7890-ab12-cd34ef567890
1{
2 "assessment_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
3 "first_seen": "2024-01-10T08:15:30Z",
4 "last_seen": "2024-01-15T17:45:00Z",
5 "organization_id": "org-9876543210"
6}
Was this page helpful?
Previous

Add risk assessment information

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

assessment_idstringRequired
The unique identifier of the risk assessment

Response

Risk assessment exists
assessment_idstring
The unique identifier of the risk assessment
first_seendatetime
This represents the earliest timestamp associated with the risk assessment
last_seendatetime
This represents the latest timestamp associated with the risk assessment
organization_idstring
The organization ID for which the risk assessment was found

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error